ON_BrepFaceSide Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_brep.h>`

Inheritance diagram for ON_BrepFaceSide:

## Public Member Functions

ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
| ON_BrepFaceSide ()
| ~ON_BrepFaceSide ()
ON_BrepFaceSide & | operator= (const ON_BrepFaceSide &)
ON_BOOL32 | Write (ON_BinaryArchive &binary_archive) const
ON_BOOL32 | Read (ON_BinaryArchive &binary_archive)
ON_Brep * | Brep () const
class ON_BrepRegionTopology * | RegionTopology () const
class ON_BrepRegion * | Region () const
class ON_BrepFace * | Face () const
int | SurfaceNormalDirection () const
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual void | Dump (ON_TextLog &) const
virtual unsigned int | SizeOf () const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON::object_type | ObjectType () const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

ON_U | m_faceside_user
int | m_faceside_index
int | m_ri
int | m_fi
int | m_srf_dir

## Friends

class | ON_Brep
class | ON_BrepRegionTopology

## Detailed Description

Definition at line 1292 of file opennurbs_brep.h.

## Constructor & Destructor Documentation

## ON_BrepFaceSide()

ON_BrepFaceSide::ON_BrepFaceSide | ( |  | ) |

## ~ON_BrepFaceSide()

ON_BrepFaceSide::~ON_BrepFaceSide | ( |  | ) |

## Member Function Documentation

## Brep()

ON_Brep* ON_BrepFaceSide::Brep | ( |  | ) | const

## Face()

class ON_BrepFace* ON_BrepFaceSide::Face | ( |  | ) | const

## IsValid()

ON_BOOL32 ON_BrepFaceSide::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

## operator=()

ON_BrepFaceSide& ON_BrepFaceSide::operator= | ( | const ON_BrepFaceSide & |  | ) |

## Read()

ON_BOOL32 ON_BrepFaceSide::Read | ( | ON_BinaryArchive & | binary_archive | ) |

virtual

Reimplemented from ON_Object.

## Region()

class ON_BrepRegion* ON_BrepFaceSide::Region | ( |  | ) | const

## RegionTopology()

class ON_BrepRegionTopology* ON_BrepFaceSide::RegionTopology | ( |  | ) | const

## SurfaceNormalDirection()

int ON_BrepFaceSide::SurfaceNormalDirection | ( |  | ) | const

## Write()

ON_BOOL32 ON_BrepFaceSide::Write | ( | ON_BinaryArchive & | binary_archive | ) | const

virtual

Reimplemented from ON_Object.

## Friends And Related Function Documentation

## ON_Brep

friend class ON_Brep

friend

Definition at line 1358 of file opennurbs_brep.h.

## ON_BrepRegionTopology

friend class ON_BrepRegionTopology

friend

Definition at line 1359 of file opennurbs_brep.h.

## Member Data Documentation

## m_faceside_index

int ON_BrepFaceSide::m_faceside_index

Definition at line 1305 of file opennurbs_brep.h.

## m_faceside_user

ON_U ON_BrepFaceSide::m_faceside_user

Definition at line 1302 of file opennurbs_brep.h.

## m_fi

int ON_BrepFaceSide::m_fi

Definition at line 1353 of file opennurbs_brep.h.

## m_ri

int ON_BrepFaceSide::m_ri

Definition at line 1349 of file opennurbs_brep.h.

## m_srf_dir

int ON_BrepFaceSide::m_srf_dir

Definition at line 1354 of file opennurbs_brep.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_brep.h